Package org.springframework.batch.core.listener

# Class SkipListenerSupport<T,S>

java.lang.Object
org.springframework.batch.core.listener.SkipListenerSupport<T,S>

All Implemented Interfaces:
  `SkipListener<T,S>`, `StepListener`

@Deprecated public class SkipListenerSupport<T,S> extends Object implements SkipListener<T,S>
Deprecated.
as of v5.0 in favor of the default methods in `SkipListener`.
Basic no-op implementations of all `SkipListener` implementations.

Author:
  Dave Syer, Mahmoud Ben Hassine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SkipListenerSupport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onSkipInProcess(T item, Throwable t)`
  Deprecated.
  This item failed on processing with the given exception, and a skip was called for.
  `void`
  `onSkipInRead(Throwable t)`
  Deprecated.
  Callback for a failure on read that is legal, so is not going to be re-thrown.
  `void`
  `onSkipInWrite(S item, Throwable t)`
  Deprecated.
  This item failed on write with the given exception, and a skip was called for.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SkipListenerSupport

    public SkipListenerSupport()
    Deprecated.

- ## Method Details

  - ### onSkipInRead

    public void onSkipInRead(Throwable t)
    Deprecated.
    Description copied from interface: `SkipListener`
    Callback for a failure on read that is legal, so is not going to be re-thrown. In case transaction is rolled back and items are re-read, this callback will occur repeatedly for the same cause. This will only happen if read items are not buffered.
    Specified by:
      `onSkipInRead` in interface `SkipListener<T,S>`
    Parameters:
      `t` - cause of the failure

  - ### onSkipInWrite

    public void onSkipInWrite(S item, Throwable t)
    Deprecated.
    Description copied from interface: `SkipListener`
    This item failed on write with the given exception, and a skip was called for.
    Specified by:
      `onSkipInWrite` in interface `SkipListener<T,S>`
    Parameters:
      `item` - the failed item
      `t` - the cause of the failure

  - ### onSkipInProcess

    public void onSkipInProcess(T item, Throwable t)
    Deprecated.
    Description copied from interface: `SkipListener`
    This item failed on processing with the given exception, and a skip was called for.
    Specified by:
      `onSkipInProcess` in interface `SkipListener<T,S>`
    Parameters:
      `item` - the failed item
      `t` - the cause of the failure